Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader.collection
Class SubselectCollectionLoader

    java.lang.Object
      org.hibernate.loader.Loader
          org.hibernate.loader.BasicLoader
              org.hibernate.loader.OuterJoinLoader
                  org.hibernate.loader.collection.CollectionLoader
                      org.hibernate.loader.collection.BasicCollectionLoader
                          org.hibernate.loader.collection.SubselectCollectionLoader

All Implemented Interfaces:
  CollectionInitializer

    public class SubselectCollectionLoader

extends BasicCollectionLoader

Implements subselect fetching for a collection

Author:
  Gavin King

Field Summary

Fields inherited from class org.hibernate.loader.OuterJoinLoader
`aliases, collectionOwners, collectionPersisters, collectionSuffixes, lockModeArray, ownerAssociationTypes, owners, persisters, sql, suffixes`

Fields inherited from class org.hibernate.loader.BasicLoader
`NO_SUFFIX`

Constructor Summary
`SubselectCollectionLoader(QueryableCollection persister, String subquery, Collection entityKeys, QueryParameters queryParameters, Map namedParameterLocMap, SessionFactoryImplementor factory, Map enabledFilters)`

Method Summary
`int[]` | `getNamedParameterLocs(String name)`
`void` | `initialize(Serializable id, SessionImplementor session)` Initialize the given collection

Methods inherited from class org.hibernate.loader.collection.CollectionLoader
`getKeyType, isSubselectLoadingEnabled, toString`

Methods inherited from class org.hibernate.loader.OuterJoinLoader
`getAliases, getCollectionOwners, getCollectionPersisters, getCollectionSuffixes, getDialect, getEnabledFilters, getEntityPersisters, getLockModes, getOwnerAssociationTypes, getOwners, getSQLString, getSuffixes, initFromWalker`

Methods inherited from class org.hibernate.loader.BasicLoader
`generateSuffixes, generateSuffixes, getCollectionAliases, getEntityAliases, postInstantiate`

Methods inherited from class org.hibernate.loader.Loader
`applyLocks, autoDiscoverTypes, bindNamedParameters, bindParameterValues, bindPositionalParameters, checkScrollability, doList, getEntityEagerPropertyFetches, getFactory, getQueryIdentifier, getResultColumnOrRow, getResultList, getResultSet, hasSubselectLoadableCollections, isSingleRowLoader, list, loadCollection, loadCollectionBatch, loadCollectionSubselect, loadEntity, loadEntity, loadEntityBatch, loadSequentialRowsForward, loadSequentialRowsReverse, loadSingleRow, needsFetchingScroll, prepareQueryStatement, preprocessSQL, processFilters, scroll, upgradeLocks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubselectCollectionLoader

    public SubselectCollectionLoader(QueryableCollection persister,
                                     String subquery,
                                     Collection entityKeys,
                                     QueryParameters queryParameters,
                                     Map namedParameterLocMap,
                                     SessionFactoryImplementor factory,
                                     Map enabledFilters)
                              throws MappingException

Throws:
  `MappingException`

Method Detail

### initialize

    public void initialize(Serializable id,
                           SessionImplementor session)
                    throws HibernateException

  Description copied from interface: `CollectionInitializer`
  Initialize the given collection

  Specified by:
    `initialize` in interface `CollectionInitializer`
  Overrides:
    `initialize` in class `CollectionLoader`
  Throws:
    `HibernateException`

### getNamedParameterLocs

    public int[] getNamedParameterLocs(String name)

  Overrides:
    `getNamedParameterLocs` in class `Loader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD